permadelete¶
Administrative control plane for permanent deletion jobs.
Get permadelete job by job_ ID¶
Operation path: GET /api/v2/workloads/permadelete/{job_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| job_id | path | string | true | Permadelete job ID |
Example responses¶
200 Response
{}
Responses¶
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Successful Response | Inline |
| 400 | Bad Request | Bad request | None |
| 401 | Unauthorized | Unauthenticated | None |
| 403 | Forbidden | Caller is not a system admin or internal service | None |
| 422 | Unprocessable Entity | Validation Error | HTTPValidationError |
| 501 | Not Implemented | Permadelete job APIs are not implemented yet | None |
Response Schema¶
Schemas¶
HTTPValidationError
{
"properties": {
"detail": {
"items": {
"properties": {
"code": {
"description": "Machine-readable error type (e.g. 'missing', 'string_type').",
"title": "Code",
"type": "string"
},
"message": {
"description": "Human-readable description of the validation failure.",
"title": "Message",
"type": "string"
},
"path": {
"description": "Dotted path to the invalid field (e.g. 'runtime.containergroups.0.autoscaling').",
"title": "Path",
"type": "string"
}
},
"required": [
"path",
"message",
"code"
],
"title": "ValidationError",
"type": "object"
},
"title": "Detail",
"type": "array"
}
},
"title": "HTTPValidationError",
"type": "object"
}
HTTPValidationError
Properties¶
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| detail | [ValidationError] | false | none |
ValidationError
{
"properties": {
"code": {
"description": "Machine-readable error type (e.g. 'missing', 'string_type').",
"title": "Code",
"type": "string"
},
"message": {
"description": "Human-readable description of the validation failure.",
"title": "Message",
"type": "string"
},
"path": {
"description": "Dotted path to the invalid field (e.g. 'runtime.containergroups.0.autoscaling').",
"title": "Path",
"type": "string"
}
},
"required": [
"path",
"message",
"code"
],
"title": "ValidationError",
"type": "object"
}
ValidationError
Properties¶
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| code | string | true | Machine-readable error type (e.g. 'missing', 'string_type'). | |
| message | string | true | Human-readable description of the validation failure. | |
| path | string | true | Dotted path to the invalid field (e.g. 'runtime.containergroups.0.autoscaling'). |